﻿@model  PagedList.IPagedList<FinnotechHistoryItemViewModel>
@{
    ViewBag.Title = $"تاریخچه درخواست های فینوتک";
    ViewBag.Description = $"";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    table th, tr {
        text-align: center;
        vertical-align: middle;
    }
</style>
<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">@ViewBag.Title</h4>
    </div>

    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                                @<thead>
                                    <tr>
                                        <th style="width:10px">
                                            @Html.DisplayNameFor(model => model.GetObject().Id)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().FinType)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().TrackId)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().Code)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().FarsiMessage)
                                        </th>
                                        <th>
                                            کاربر درخواست کننده
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.GetObject().InsertDate)
                                        </th>
                                        <th>
                                            <span>عملیات</span>
                                        </th>
                                    </tr>
                                </thead>,
            @<tbody>
                @foreach (var model in Model)
                 {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => model.Id)
                        </td>
                        <td>
                            @(model.FinType.ToDisplay())
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.TrackId)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.Code)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => model.FarsiMessage)
                        </td>
                        <td>
                            @if (model.InsertUser != null && model.InsertUser.FullName.HasValue())
                            {
                                @Html.DisplayFor(modelItem => model.InsertUser.FullName)
                            }
                            else {
                                <span>-</span>
                            }
                        </td>
                        <td>
                            @(model.InsertDate.ToFaDateTimeZone())
                        </td>
                        <td>
                            <div class="btn-group" style="width:217px">
                                @Html.ActionLink("نمایش جزئیات", "HistoryDetail", new { id = model.Id }, new { @class = "btn btn-primary" })
                            </div>
                        </td>
                    </tr>
                 }
            </tbody>).Order(4, DataTabledOrder.Desc)
                <div class="text-center">
                    @Html.Partial("_Paging", Model)
                </div>
            </div>
        </div>
    </div>
</div>